PDA

View Full Version : issues installing Typo3 CMS 6.2 on SLES 12



swadm
23-Apr-2015, 16:25
Has anyone been successful in deploying Typo3 CMS (https://typo3.org/) 6.2 on SLES 12?

I have several issues:


mysql appears to be missing - we will need to opt for MariaDB
Graphicsmagick is present in SLES 11 SDK, but is missing in SLES 12 SDK
bzip2-devel cannot be found


In our team we already have doubts whether SLES12 is a good choice to host Typo3 ...
One of our motivation to go from SLES11 to SLES12 is that SLES12 is offering PHP 5.5.

Thanks for sharing your thoughts and experiences, Thomas

malcolmlewis
23-Apr-2015, 18:31
Hi

1 - Correct it's MariaDB now, see release notes, but I would not expect issues.

2 - If you can't use an alternative, then the Build Service could be used to create your own rpm based on the 'graphics' repository version? https://build.opensuse.org/package/show?project=graphics&package=GraphicsMagick or ask the maintainers to build a SLE 12 version for you?


3 - Naming convention, it's there;


Information for package libbz2-devel:
-------------------------------------
Repository: SLE-SDK12-Pool for x86_64
Name: libbz2-devel
Version: 1.0.6-27.1129
Arch: x86_64
Vendor: SUSE LLC <https://www.suse.com/>
Installed: No
Status: not installed
Installed Size: 19.3 KiB
Summary: The bzip2 runtime library development files
Description:
The bzip2 runtime library development files.

malcolmlewis
23-Apr-2015, 18:36
Hi
A further note on point 2, you can use ImageMagick (version 6.8) which is present in SLE 12;
https://github.com/TYPO3/TYPO3.CMS/blob/TYPO3_6-2/INSTALL.md


Information for package ImageMagick:
------------------------------------
Repository: SLE-SDK12-Updates for x86_64
Name: ImageMagick
Version: 6.8.8.1-8.2

swadm
24-Apr-2015, 13:28
Malcolm,

thanks very helpful!

Another Typo3 related question is whether there is a package php-opcache available: it should contain the opcache.so that comes with 5.5 versions of PHP.

Regards, Thomas

malcolmlewis
24-Apr-2015, 13:46
On Fri 24 Apr 2015 12:34:02 PM CDT, swadm wrote:


Malcolm,

thanks very helpful!

Another Typo3 related question is whether there is a package php-opcache
available: it should contain the opcache.so that comes with 5.5 versions
of PHP.

Regards, Thomas




Hi
You would need to raise an SR for that since php5-opcache isn't there
for SLE 12.

Else there is a 5.5.14 version built by a user on OBS (unsupported);
https://software.opensuse.org/package/php5-opcache

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 GNOME 3.10.1 Kernel 3.12.39-47-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!